Source: goocanvasmm-2.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: @GNOME_TEAM@
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools,
               libgoocanvas-2.0-dev (>= 2.0.1),
               libgtkmm-3.0-dev (>= 3.18.0),
               libglibmm-2.4-dev (>= 2.46.1),
               libxml-parser-perl,
               mm-common
Build-Depends-Indep: doxygen <!nodoc>,
                     graphviz <!nodoc>,
                     libcairomm-1.0-doc <!nodoc>,
                     libglibmm-2.4-doc <!nodoc>,
                     libglibmm-2.4-doc <!nodoc>,
                     libgtkmm-3.0-doc <!nodoc>,
                     libpangomm-1.4-doc <!nodoc>,
                     libsigc++-2.0-doc <!nodoc>,
                     xsltproc <!nodoc>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/goocanvasmm-2.0
Vcs-Git: https://salsa.debian.org/gnome-team/goocanvasmm-2.0.git
Homepage: https://wiki.gnome.org/Projects/GooCanvas

Package: libgoocanvasmm-2.0-dev
Section: libdevel
Architecture: any
Depends: libgoocanvasmm-2.0-6 (= ${binary:Version}),
         libgoocanvas-2.0-dev (>= 2.0.1),
         libgtkmm-3.0-dev (>= 3.18.0),
         libglibmm-2.4-dev (>= 2.46.1),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgoocanvasmm-2.0-doc
Description: C++ bindings for GooCanvas - development files
 GooCanvas is a canvas widget for GTK+ that uses the cairo 2D library for
 drawing. It has a model/view split, and uses interfaces for canvas items and
 views, so you can easily turn any application object into canvas items.
 goocanvasmm is the C++ wrapper for GooCanvas
 .
 This package contains the development files.

Package: libgoocanvasmm-2.0-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
         libjs-jquery
Suggests: devhelp
Description: C++ bindings for GooCanvas - documentation and examples
 GooCanvas is a canvas widget for GTK+ that uses the cairo 2D library for
 drawing. It has a model/view split, and uses interfaces for canvas items and
 views, so you can easily turn any application object into canvas items.
 goocanvasmm is the C++ wrapper for GooCanvas
 .
 This package contains the documentation and example files.

Package: libgoocanvasmm-2.0-6
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ bindings for GooCanvas - shared library
 GooCanvas is a canvas widget for GTK+ that uses the cairo 2D library for
 drawing. It has a model/view split, and uses interfaces for canvas items and
 views, so you can easily turn any application object into canvas items.
 goocanvasmm is the C++ wrapper for GooCanvas
 .
 This package contains the shared library.
